Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002604 [JEDI VCL] 00 JVCL Components minor always 2005-02-04 13:15 2005-02-05 04:07
Reporter anonymous View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002604: TJvDockVSNetStyle paint bug
Description In latest CVS from 2005-02-03 TJvDockVSNetStyle has some paintin issues.
e.g It does not paint caption bar with Gradient colors. It paints it black.

properties
object JvDockVIDStyle1: TJvDockVSNetStyle
  ConjoinServerOption.ActiveFont.Color = clCaptionText
  ConjoinServerOption.InactiveFont.Color = clInactiveCaptionText
  ConjoinServerOption.ActiveTitleStartColor = clActiveCaption
  ConjoinServerOption.ActiveTitleEndColor = clGradientActiveCaption
  ConjoinServerOption.InactiveTitleVerticalGradient = True or False
  ConjoinServerOption.ActiveDockGrabber = True
  ConjoinServerOption.InactiveTitleStartColor = clInactiveCaption
  ConjoinServerOption.InactiveTitleEndColor = clGradientInactiveCaption
  ConjoinServerOption.InactiveTitleVerticalGradient = True or False
  ConjoinServerOption.TextEllipsis = True
  ConjoinServerOption.SystemInfo = False
end

It should paint caption background such other styles do.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006418)
remkobonte (developer)
2005-02-05 04:07

This is now fixed in

o Rev. 1.31 of JvDockVIDStyle.pas.
o Rev. 1.16 of JvDockVIDVCStyle.pas.

Problem was that system colors were treated as RGB values.

- Issue History
Date Modified Username Field Change
2005-02-04 13:15 anonymous New Issue
2005-02-05 04:07 remkobonte Status new => resolved
2005-02-05 04:07 remkobonte Fixed in Version => 3.00
2005-02-05 04:07 remkobonte Resolution open => fixed
2005-02-05 04:07 remkobonte Assigned To => remkobonte
2005-02-05 04:07 remkobonte Note Added: 0006418


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker